Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 620334 (qt-5.7.1-stable)

Summary: Qt 5.7.1 stabilisation request
Product: Gentoo Linux Reporter: Michael Palimaka (kensington) <kensington>
Component: StabilizationAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: enhancement CC: flyser42, gentoo.org, gentoo, herrtimson
Priority: Normal Keywords: STABLEREQ
Version: unspecifiedFlags: stable-bot: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
dev-qt/assistant-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/designer-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/linguist-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/linguist-tools-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/pixeltool-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qdbus-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qdbusviewer-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qdoc-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qt-docs-5.7.1_p0 amd64 x86 dev-qt/qtbluetooth-5.7.1 amd64 arm x86 dev-qt/qtconcurrent-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtcore-5.7.1-r3 amd64 arm hppa ppc ppc64 x86 dev-qt/qtdbus-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtdeclarative-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtgraphicaleffects-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtgui-5.7.1-r1 amd64 arm hppa ppc ppc64 x86 dev-qt/qthelp-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qtimageformats-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qtmultimedia-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtnetwork-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtopengl-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtpaths-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtpositioning-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qtprintsupport-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtquickcontrols-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtquickcontrols2-5.7.1 amd64 x86 dev-qt/qtscript-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtsensors-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qtserialport-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qtsql-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtsvg-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qttest-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qttranslations-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtwayland-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtwebchannel-5.7.1 amd64 arm ppc64 x86 dev-qt/qtwebengine-5.7.1-r1 amd64 x86 dev-qt/qtwebkit-5.7.1 amd64 arm ppc64 x86 dev-qt/qtwebsockets-5.7.1 amd64 arm hppa ppc64 x86 dev-qt/qtwidgets-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtx11extras-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtxml-5.7.1 amd64 arm hppa ppc ppc64 x86 dev-qt/qtxmlpatterns-5.7.1 amd64 arm hppa ppc ppc64 x86
Runtime testing required: ---
Bug Depends on: 613162, 620336, 620338    
Bug Blocks: 615622, 620372, 620374, 620378, 622592, 622644, 632460    

Description Michael Palimaka (kensington) gentoo-dev 2017-06-01 12:31:10 UTC
I know we weren't going to target this originally, but we didn't expect so much trouble in packaging later versions and we need something newer than 5.6 for Plasma 5.9.
Comment 1 Davide Pesavento gentoo-dev 2017-06-01 14:55:22 UTC
(In reply to Michael Palimaka (kensington) from comment #0)
> I know we weren't going to target this originally, but we didn't expect so
> much trouble in packaging later versions and we need something newer than
> 5.6 for Plasma 5.9.

Agreed.
Comment 2 Andreas Sturmlechner gentoo-dev 2017-06-03 07:23:23 UTC
Please add dev-qt/qtquickcontrols2 to stabilisation (required by e.g. kde-apps/minuet:5)
Comment 3 Michael Palimaka (kensington) gentoo-dev 2017-06-03 12:09:40 UTC
Adding qtquickcontrols2 on amd64 and x86
Comment 4 Michael Palimaka (kensington) gentoo-dev 2017-06-18 08:10:43 UTC
-dev-qt/qtgui-5.7.1
+dev-qt/qtgui-5.7.1-r1
Comment 5 Michael Palimaka (kensington) gentoo-dev 2017-07-01 02:22:07 UTC
Removing bug #603564 as a blocker because it no longer blocks stabilisation (package is being removed) but still being open it will block getatoms.py.
Comment 6 Agostino Sarubbo gentoo-dev 2017-07-04 14:02:33 UTC
amd64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2017-07-04 15:49:29 UTC
x86 stable
Comment 8 Agostino Sarubbo gentoo-dev 2017-07-07 13:25:17 UTC
ppc stable
Comment 9 Agostino Sarubbo gentoo-dev 2017-07-07 14:50:47 UTC
ppc64 stable
Comment 10 Markus Meier gentoo-dev 2017-07-15 05:16:38 UTC
arm stable
Comment 11 Davide Pesavento gentoo-dev 2017-10-29 17:15:29 UTC
@hppa: ping
Comment 12 Andreas Sturmlechner gentoo-dev 2017-10-29 23:18:21 UTC
List of destabilisations ain't that bad if we have to:

https://github.com/gentoo/gentoo/pull/6077
Comment 13 Michael Palimaka (kensington) gentoo-dev 2017-10-30 10:35:16 UTC
(In reply to Davide Pesavento from comment #11)
> @hppa: ping

I spoke to slyfox about this a while back and my understanding is that hppa is not likely to pick this up and we should proceed with dropping the stable keywords.
Comment 14 Sergei Trofimovich gentoo-dev 2017-10-30 22:47:26 UTC
I'll try to destabilize dev-qt/* down to ~hppa this weekend.
gentoo's infra hppa machine is a very slow beast.
Comment 15 Sergei Trofimovich gentoo-dev 2017-10-30 22:49:44 UTC
(In reply to Sergei Trofimovich from comment #14)
> I'll try to destabilize dev-qt/* down to ~hppa this weekend.
> gentoo's infra hppa machine is a very slow beast.

Oh, I've missed Andreas already done it in https://github.com/gentoo/gentoo/pull/6077 . Please go ahead :)
Comment 16 Davide Pesavento gentoo-dev 2017-10-30 22:56:49 UTC
Closing this then.
Comment 17 Larry the Git Cow gentoo-dev 2017-10-30 23:33:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffa510464428e0f40b438051e99d2a0b4a140039

commit ffa510464428e0f40b438051e99d2a0b4a140039
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2017-10-29 21:18:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2017-10-30 23:31:34 +0000

    profiles: hppa: use.stable.mask qt4, qt5
    
    Closes: https://bugs.gentoo.org/620334

 profiles/arch/hppa/use.stable.mask | 5 +++++
 1 file changed, 5 insertions(+)